Updating apt

The repository is not updated and the previous index files will be used.

GPG error: file:/opt/puppetlabs/server/data/packages/public/2016.2.1/ubuntu-16.04-amd64-1.5.3 ./ Release: The following signatures couldn't be verified because the public key is not available: NOPUBKEY 1054B7A24BD6EC30 W: Failed to fetch file:/opt/puppetlabs/server/data/packages/public/2016.2.1/ubuntu-16.04-amd64-1.5.3/./The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 1054B7A24BD6EC30 W: Some index files failed to download. After receiving this error, I attempted to update the key; however, I realized that, rather than updating, I needed a brand new key, so I preformed the following: The GPG key used to sign PE releases prior to the 2016.4 LTS release expired on January 5, 2017.

An extended copy of the public key, along with instructions for use, can be obtained from the Puppet support portal: https://support.puppet.com/hc/en-us/a...

How to handle renamed or removed package versions from package manager (yum, apt, etc)?

The Patchman agent, running on the servers you add to the Portal, is updated regularly to resolve bugs and introduce new features.

Updating the Patchman client only requires you to update the package using your package manager.

These are the basic steps to upgrading own Cloud: Your Linux package manager only downloads the current own Cloud packages.

After installing upgraded packages you must run a few more steps to complete the upgrade.

Done 0 upgraded, 0 newly installed, 0 to remove and 9 not upgraded. Done I did an "strace appstreamcli refresh-index" and saw a permission denied during rename of /var/cache/app-info/xapian/default. Done sudo mv /var/cache/app-info/xapian/default /var/cache/app-info/xapian/default_old sudo strace appstreamcli refresh-index Simple and secure!

[email protected]:~$ sudo apt-get update Ign:1 cdrom://Kubuntu 16.04 LTS _Xenial Xerus_ - Release amd64 (20160420.1) xenial In Release Hit:2 cdrom://Kubuntu 16.04 LTS _Xenial Xerus_ - Release amd64 (20160420.1) xenial Release Hit:4 xenial In Release Get:5 xenial-security In Release [94.5 k B] Hit:6 xenial-updates In Release Fetched 94.5 k B in 0s (155 k B/s) ** (appstreamcli:27258): CRITICAL **: Error while moving old database out of the way. So I did "chmod 777 /var/cache/app-info/xapian/default -R" and that fixed it for me. :; sudo apt-get update Hit:1 xenial In Release Hit:2 xenial-updates In Release Hit:3 https://apt.dockerproject.org/repo ubuntu-xenial In Release Hit:4 xenial-security In Release ** (appstreamcli:516): CRITICAL **: Error while moving old database out of the way. Background: Ubuntu 16.04.2 Live CD After booting the live CD I did sudo apt-get update and sudo apt-get upgrade and it went smoothly.

Although we strive to maximize compatibility, we may occassionally drop support for outdated agent versions.

Your client will then not be able to connect to the Portal, meaning that new detections will not be reported and existing detections can't be resolved.